org.eclipse.remote.core

## Interface IProcessFactory

    public interface IProcessFactory

Abstraction of the java.lang.Runtime exec() methods to allow different implementations to be supplied.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Process` `exec(java.lang.String cmd)`
`java.lang.Process` `exec(java.lang.String[] cmdarray)`
`java.lang.Process` `exec(java.lang.String[] cmdarray, java.lang.String[] envp)`
`java.lang.Process` `exec(java.lang.String[] cmdarray, java.lang.String[] envp, java.io.File dir)`
`java.lang.Process` `exec(java.lang.String cmd, java.lang.String[] envp)`
`java.lang.Process` `exec(java.lang.String cmd, java.lang.String[] envp, java.io.File dir)`

### Method Detail

#### exec

    java.lang.Process exec(java.lang.String cmd)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    java.lang.Process exec(java.lang.String[] cmdarray)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    java.lang.Process exec(java.lang.String[] cmdarray,
                           java.lang.String[] envp)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    java.lang.Process exec(java.lang.String cmd,
                           java.lang.String[] envp)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    java.lang.Process exec(java.lang.String cmd,
                           java.lang.String[] envp,
                           java.io.File dir)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    java.lang.Process exec(java.lang.String[] cmdarray,
                           java.lang.String[] envp,
                           java.io.File dir)
                    throws java.io.IOException

Throws:
  `java.io.IOException`